﻿<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Discrepancias.aspx.cs" Inherits="Seven.Front.Discrepancias" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Discrepancias") %> [5.4]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del jqGrid para Discrepancias */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDI() {
            $.ajax({
                url: 'Servicio.svc/GetDiscrepancias',
                data: {
                      "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgDI").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDI")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDI").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutDI(id_habi, estado, limpia) {
            $.ajax({
                url: 'Servicio.svc/PutDiscrepancias',
                data: {
                    "id_habi": id_habi, "estado": estado, "limpia": limpia
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        RefreshGridDI();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDI() {

            var lselDI;
            var colMap = {};
            $("#jqgDI").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames: ['', '', '<%=L.LBL("LblFDKHabAbbr") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblFDKSucia") %>', '<%=L.LBL("LblFDKPax") %>',
                    '', '<%=L.LBL("LblFDKHabAbbr") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblFDKSucia") %>', '<%=L.LBL("LblFDKPax") %>',
                    '', '<%=L.LBL("LblFDKHabAbbr") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblFDKSucia") %>', '<%=L.LBL("LblFDKPax") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_habi_01', index: 'id_habi_01', width: 10, editable: true, hidden: true },
                            { name: 'habitacion_01', index: 'habitacion_01', width: 10, editable: false, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'estado_01', index: 'estado_01', width: 10, editable: true,
                                formatter: 'select',
                                edittype: "select",
                                editoptions: { value: '<%=Utils.cbDiscrepEstado %>' },
                                searchoptions: { value: '<%=Utils.cbDiscrepEstado %>' },
                                stype: "select",
                                search: true
                            },
                            {
                                name: 'limpia_01', index: 'limpia_01', width: 10, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' }, 
                                formatoptions: { disabled: true }, align: 'center' },
                            { name: 'paxs_01', index: 'paxs_01', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'id_habi_02', index: 'id_habi_02', width: 10, editable: true, hidden: true },
                            { name: 'habitacion_02', index: 'habitacion_02', width: 10, editable: false, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'estado_02', index: 'estado_02', width: 10, editable: true,
                                formatter: 'select',
                                edittype: "select",
                                editoptions: { value: '<%=Utils.cbDiscrepEstado %>' },
                                searchoptions: { value: '<%=Utils.cbDiscrepEstado %>' },
                                stype: "select",
                                search: true
                            },
                            {
                                name: 'limpia_02', index: 'limpia_02', width: 10, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            { name: 'paxs_02', index: 'paxs_02', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'id_habi_03', index: 'id_habi_03', width: 10, editable: true, hidden: true },
                            { name: 'habitacion_03', index: 'habitacion_03', width: 10, editable: false, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'estado_03', index: 'estado_03', width: 10, editable: true,
                                formatter: 'select',
                                edittype: "select",
                                editoptions: { value: '<%=Utils.cbDiscrepEstado %>' },
                                searchoptions: { value: '<%=Utils.cbDiscrepEstado %>' },
                                stype: "select",
                                search: true
                            },
                            {
                                name: 'limpia_03', index: 'limpia_03', width: 10, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            { name: 'paxs_03', index: 'paxs_03', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDI) && !isNaN(id)) {
                            $("#jqgDI").jqGrid('delRowData', lselDI);
                            //$('#jqgDI').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDI").jqGrid('getRowData', id);

                            $('#jqgDI').jqGrid('saveRow', lselDI);

                            $('#IdSubElementDI').val(ret.Id);
                        }

                        $('#jqgDI').jqGrid('saveRow', lselDI);
                        $('#jqgDI').jqGrid('editRow', id, true, EventsDI);

                        lselDI = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDI)) {
                            $("#jqgDI").jqGrid('delRowData', lselDI);
                            $('#jqgDI').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDI').jqGrid('saveRow', lselDI);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDI').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgDI").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextDI').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconDI').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextDI').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconDI').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgDI").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementDI').val()) == 0) {
                            $('#IdSubElementDI').val($("#jqgDI").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgDI").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgDI").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgDI').jqGrid('setSelection', $('#IdSubElementDI').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                //multiselect: true,
                //multiboxonly: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgDI").jqGrid('navGrid','#PaginadorDI',{del:false,add:false,edit:false,search:false});
            $("#bsdataDI").click(function () {
                jQuery("#jqgDI").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDI() {
            $("#jqgDI").jqGrid("setGridParam", { datatype: "json", datatype: GetDI, loadonce: true });
            $("#jqgDI").trigger("reloadGrid");
            $("#jqgDI").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function EventsDI(id) {
            $("#" + id + "_limpia_01").on('click', function () {
                PutDI($("#" + id + "_id_habi_01").val(), $("#" + id + "_estado_01").val(), $("#" + id + "_limpia_01:checked").val());
            });
            $("#" + id + "_limpia_02").on('click', function () {
                PutDI($("#" + id + "_id_habi_02").val(), $("#" + id + "_estado_02").val(), $("#" + id + "_limpia_02:checked").val());
            });
            $("#" + id + "_limpia_03").on('click', function () {
                PutDI($("#" + id + "_id_habi_03").val(), $("#" + id + "_estado_03").val(), $("#" + id + "_limpia_03:checked").val());
            });
            $("#" + id + "_estado_01").on('change', function () {
                PutDI($("#" + id + "_id_habi_01").val(), $("#" + id + "_estado_01").val(), $("#" + id + "_limpia_01:checked").val());
            });
            $("#" + id + "_estado_02").on('change', function () {
                PutDI($("#" + id + "_id_habi_02").val(), $("#" + id + "_estado_02").val(), $("#" + id + "_limpia_02:checked").val());
            });
            $("#" + id + "_estado_03").on('change', function () {
                PutDI($("#" + id + "_id_habi_03").val(), $("#" + id + "_estado_03").val(), $("#" + id + "_limpia_03:checked").val());
            });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function Discrepancias() {
            var id = $("#jqgDI").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgDI').saveRow(id);
            }
            window.open('Informe.aspx?r=540&o=' + $('#txtObservaciones').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridDI();

            RefreshGridDI();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Discrepancias.aspx"><%=L.TIT("Discrepancias") %> [5.4]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 710px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Discrepancias") %> [5.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="Discrepancias();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/5-4-discrepancias/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <input type="hidden" id="IdSubElementDI" value="0" />
                <table id="jqgDI"></table>

                <br />

                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENObservations") %>:</b>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <textarea id="txtObservaciones" style="width: 695px; height: 80px; white-space: pre-wrap;"></textarea>
                        </td>
                    </tr>
                </table>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnImprimir" onclick="Discrepancias();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" /></td>
                                                        <td><%=L.LBL("LblGENPrint") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

