﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="HistoricoMensajes.aspx.cs" Inherits="Seven.Front.HistoricoMensajes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("HistoricoMensajes") %> </title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListadoMENS() {
            window.open('Informe.aspx?r=790&id=0'
                + "&h=" + $("#cbHistorico:checked").val()
                + "&e=" + $("#cbEliminado:checked").val()
                + "&fh=" + $("input[name=cbFil_id_habi]:checked").val() + "&vh=" + $('#cbHabitacion').val()
                + "&fn=" + $("input[name=cbFil_huesped]:checked").val() + "&vn=" + $('#txtFil_huesped').val()
                + "&ffe=" + $("input[name=cbFil_fecha_ent]:checked").val()
                + "&vfe=" + $('#txtFil_fecha_ent').val() + "&vfe2=" + $('#txtFil_fecha_ent2').val()
                + "&ffs=" + $("input[name=cbFil_fecha_sal]:checked").val()
                + "&vfs=" + $('#txtFil_fecha_sal').val() + "&vfs2=" + $('#txtFil_fecha_sal2').val()
                + "&fd=" + $("input[name=cbFil_de]:checked").val() + "&vd=" + $('#txtFil_de').val()
                + "&fr=" + $("input[name=cbFil_responder_a]:checked").val() + "&vr=" + $('#txtFil_responder_a').val()
                + "&ffh=" + $("input[name=cbFil_fecha_hora]:checked").val()
                + "&vfh=" + $('#txtFil_fecha_hora').val() + "&vfh2=" + $('#txtFil_fecha_hora2').val()
                + "&ft=" + $("input[name=cbFil_texto]:checked").val() + "&vt=" + $('#txtFil_texto').val()
                + "&fo=" + $("input[name=cbFil_operador]:checked").val() + "&vo=" + $('#cbOperador').val()
                + "&fom=" + $("input[name=cbFil_operador_mod]:checked").val() + "&vom=" + $('#cbOperadorMod').val()
                + "&foe=" + $("input[name=cbFil_operador_eli]:checked").val() + "&voe=" + $('#cbOperadorEli').val()
            , '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 7);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M8';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="HistoricoMensajes.aspx"><%=L.TIT("HistoricoMensajes") %> </a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 450px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("HistoricoMensajes") %> </span>
                        </td>
                        <%--<td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-HistoricoMensajes/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbHistorico" value="1" />
                        </td>
                        <td>
                            <b style="font-size: 11pt;"><%=L.LBL("LblFDKHMHabHistoricas") %></b>
                        </td>
                        <td>
                            <input type="checkbox" id="cbEliminado" value="1" />
                        </td>
                        <td style="font-size: 11pt;">
                            <%=L.LBL("LblGENShowDeleted") %>
                        </td>
                    </tr>
                </table>

                <br />

                <fieldset>
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_habi" name="cbFil_id_habi" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRoom") %>:
                            </td>
                            <td colspan="3">
                                <%=cbHabitacion %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_huesped" name="cbFil_huesped" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKHuesped") %>:
                            </td>
                            <td colspan="3">
                                <input type="text" id="txtFil_huesped" value="" onchange="$('input[name=cbFil_huesped]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_ent" name="cbFil_fecha_ent" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKEntrada") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_sal" name="cbFil_fecha_sal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENSalida") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_de" name="cbFil_de" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENFrom") %>:
                            </td>
                            <td colspan="3">
                                <input type="text" id="txtFil_de" value="" onchange="$('input[name=cbFil_de]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_responder_a" name="cbFil_responder_a" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKResponderA") %>:
                            </td>
                            <td colspan="3">
                                <input type="text" id="txtFil_responder_a" value="" onchange="$('input[name=cbFil_responder_a]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_hora" name="cbFil_fecha_hora" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENHora") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_hora" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_hora]').prop('checked', true);" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_hora2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_hora]').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_texto" name="cbFil_texto" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKTextoMensaje") %>:
                            </td>
                            <td colspan="3">
                                <input type="text" id="txtFil_texto" value="" onchange="$('input[name=cbFil_texto]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_operador" name="cbFil_operador" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRegistrado") %>:
                            </td>
                            <td colspan="3">
                                <%=cbOperador %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_operador_mod" name="cbFil_operador_mod" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENModificado") %>:
                            </td>
                            <td colspan="3">
                                <%=cbOperadorMod %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_operador_eli" name="cbFil_operador_eli" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENEliminado") %> / <%=L.LBL("LblGENRecuperado") %>:
                            </td>
                            <td colspan="3">
                                <%=cbOperadorEli %>
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnImprimirMENS" onclick="ImprimirListadoMENS();" title="<%=L.LBL("LblGENPrint") %>">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

