﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ReservasHabitacionesIncorrectas.aspx.cs" Inherits="Seven.Front.ReservasHabitacionesIncorrectas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("ReservasHabitacionesIncorrectas") %> </title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function Imprimir() {
            window.open('Informe.aspx?r=800'
                + "&ni=" + $("#cbNoIncluir:checked").val()
                + "&ffe=" + $("input[name=cbFil_fecha_ent]:checked").val()
                + "&vfe=" + $('#txtFil_fecha_ent').val() + "&vfe2=" + $('#txtFil_fecha_ent2').val()
                + "&ffs=" + $("input[name=cbFil_fecha_sal]:checked").val()
                + "&vfs=" + $('#txtFil_fecha_sal').val() + "&vfs2=" + $('#txtFil_fecha_sal2').val()
            , '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 6);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M7';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ReservasHabitacionesIncorrectas.aspx"><%=L.TIT("ReservasHabitacionesIncorrectas") %> </a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 450px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ReservasHabitacionesIncorrectas") %> </span>
                        </td>
                        <%--<td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-ReservasHabitacionesIncorrectas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <fieldset>
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbNoIncluir" name="cbNoIncluir" value="1" />
                            </td>
                            <td colspan="3">
                                <b><%=L.LBL("LblFDKRHINoIncluirReseSinHab") %></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_ent" name="cbFil_fecha_ent" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKEntrada") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent2" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(1)) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_sal" name="cbFil_fecha_sal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENSalida") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal2" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(1)) %>" class="eligeFecha"
                                    onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnImprimir" onclick="Imprimir();" title="<%=L.LBL("LblGENPrint") %>">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

