﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PronosticoTipoHabitacionComp.aspx.cs" 
    Inherits="Seven.Front.PronosticoTipoHabitacionComp" EnableEventValidation="false" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("PronosticoTipoHabitacion") %> - <%=L.LBL("LblGENComparativo") %> [4.1]</title>

    <script type="text/javascript">

        function Ver() {
            $("#dlgCargando").dialog('open');
            window.location.href = "PronosticoTipoHabitacionComp.aspx?s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&m=" + $('input[name=rbContrato]:checked').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&r=" + $('#cbRelease:checked').val() +
                "&t=" + $('#cbContrato').val() +
                "&q2=" + $('#cbSolicitadas:checked').val() +
                "&c=" + $('#cbConfirmadas:checked').val() +
                "&l=" + $('#cbListaEsp:checked').val() + 
                "&g=" + $('#cbGrupoDisp').val() +
                "&o=" + $('input[name=rbOcupacion]:checked').val() + 
                "&a=" + $('input[name=rbReal]:checked').val() +
                "&s2=" + $('#txtFecIni2').val() +
                "&f2=" + $('#txtFecFin2').val() +
                "&a2=" + $('input[name=rbReal2]:checked').val();
        }

        function VerSimp() {
            $("#dlgCargando").dialog('open');
            window.location.href = "PronosticoTipoHabitacion.aspx?s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&m=" + $('input[name=rbContrato]:checked').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&r=" + $('#cbRelease:checked').val() +
                "&t=" + $('#cbContrato').val() +
                "&q2=" + $('#cbSolicitadas:checked').val() +
                "&c=" + $('#cbConfirmadas:checked').val() +
                "&l=" + $('#cbListaEsp:checked').val() +
                "&g=" + $('#cbGrupoDisp').val() +
                "&o=" + $('input[name=rbOcupacion]:checked').val() +
                "&a=" + $('input[name=rbReal]:checked').val();
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $('#cbGrupoDisp').val(<%=id_disp %>);
            $('#cbContrato').val(<%=id_cont %>);

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("PronosticoTipoHabitacion") %> - <%=L.LBL("LblGENComparativo") %> [4.1]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>

    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 1000px; height: 950px;">

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("PronosticoTipoHabitacion") %> - <%=L.LBL("LblGENComparativo") %> [4.1]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="VerSimp();" id="A1">
                                                <img src="img/report.png" />
                                                <%=L.LBL("LblGENSimple") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-1-pron%C3%B3stico-por-tipo-de-habitacion/', '_blank');" id="A2">
                                                <img src="../img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblFDKGrupoDisp") %>:</b>
                        </td>
                        <td>
                            <%=cbGrupoDisp %>
                        </td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td>
                            <input type="radio" name="rbContrato" value="0" <%=!contrato ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENHotel") %></b>
                        </td>
                        <td>
                            <input type="radio" name="rbContrato" value="1" <%=contrato ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENTarifa") %></b>:
                        </td>
                        <td colspan="4">
                            <%=cbContrato %>
                            <%--<select name="cbContrato" id="cbContrato" onchange="" style="width: 250px;">--%>
                                <%
//foreach (System.Data.DataRow dr in Contratos.Rows)
//{
//    Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
//}
                                %>
                            <%--</select>--%>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <input type="checkbox" id="cbCupos" value="1" <%=cupos ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <%=L.LBL("LblFDKPRONRespetarCupos") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbRelease" value="1" <%=release ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <%=L.LBL("LblFDKPRONRespetarRelease") %>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENEstado") %>:</b>
                        </td>
                        <td>
                            <input type="checkbox" id="cbSolicitadas" value="1" <%=solicitadas ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKESRESolicitada") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbConfirmadas" value="1" <%=confirmadas ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKESREConfirmada") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbListaEsp" value="1" <%=lista_esp ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKESREListaEspera") %>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <b><%=L.LBL("LblGENVer") %>:</b>
                        </td>
                        <td>
                            <input type="radio" name="rbOcupacion" value="0" <%=!ocupacion ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKDisponibilidad") %>
                        </td>
                        <td>
                            <input type="radio" name="rbOcupacion" value="1" <%=ocupacion ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKOcupacion") %>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENStart") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecIni" value="<%=String.Format("{0:d}", FecIni) %>" class="eligeFecha" />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENEnd") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecFin" value="<%=String.Format("{0:d}", FecFin) %>" class="eligeFecha" />
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <input type="radio" name="rbReal" value="1" <%=real == 1 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKProyectado") %></b>
                        </td>
                        <td>
                            <input type="radio" name="rbReal" value="2" <%=real == 2 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKReal") %></b>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td style="background-color: #FFFFFF">
                            <asp:ScriptManager ID="ScriptManager1" runat="server">
                            </asp:ScriptManager>
                            <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana"
                                Font-Size="8pt" InteractiveDeviceInfos="(Colección)"
                                WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="220px">
                            </rsweb:ReportViewer>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENStart") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecIni2" value="<%=String.Format("{0:d}", FecIni2) %>" class="eligeFecha" />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENEnd") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecFin2" value="<%=String.Format("{0:d}", FecFin2) %>" class="eligeFecha" />
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <input type="radio" name="rbReal2" value="1" <%=real2 == 1 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKProyectado") %></b>
                        </td>
                        <td>
                            <input type="radio" name="rbReal2" value="2" <%=real2 == 2 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKReal") %></b>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td>
                            <rsweb:ReportViewer ID="rpvReporte2" runat="server" Font-Names="Verdana"
                                Font-Size="8pt" InteractiveDeviceInfos="(Colección)"
                                WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="220px">
                            </rsweb:ReportViewer>
                        </td>
                    </tr>
                </table>
            </div>

        </div>

    </div>

</asp:Content>
